<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz Result</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='styles.css') }}">
</head>
<body>
    <h1>Quiz Result</h1>
    <p>Your score: {{ score }}/{{ total }}</p>

    <h2>Correct Answers:</h2>
    <ul>
        {% for question in questions %}
            <li>
                <strong>{{ question["question"] }}:</strong>
                Your answer: {{ user_answers.get(question["question"], "Not answered") }}
                Correct answer: {{ question["correct_answer"] }}
            </li>
        {% endfor %}
    </ul>
</body>
</html>
